#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "ApplicationIo.h"
#include <string>

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow {
    Q_OBJECT
public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

    // Data
    IUserInterface *          UI;
    ApplicationIo *           Io;

    // Methods
    void  EnableControls();
    void  Log(const std::string & a_string);

protected:
    void changeEvent(QEvent *e);

private:
    Ui::MainWindow *ui;

private slots:
    void on_BlinkButton_clicked();
    void on_LedOff_clicked();
    void on_LedOn_clicked();
    void on_CloseButton_clicked();
    void on_OpenButton_clicked();
};

#endif // MAINWINDOW_H
